Page MenuHomeFreeBSD

Simplify arguments to signal handlers on mips.
ClosedPublic

Authored by jhb on Jan 2 2020, 11:16 PM.

Details

Summary
  • Use ksi_addr directly as si_addr in the siginfo instead of the 'badvaddr' register.
  • Remove a duplicate assignment of si_code.
  • Use ksi_addr as the 4th argument to the old-style handler instead of 'badvaddr'.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Jan 2 2020, 11:16 PM
brooks accepted this revision.Jan 4 2020, 12:24 AM
This revision is now accepted and ready to land.Jan 4 2020, 12:24 AM
kevans accepted this revision.Jan 5 2020, 8:36 PM
This revision was automatically updated to reflect the committed changes.